--==========================================================================================================================	
-- Change Korea's Seowon and UA
--==========================================================================================================================
UPDATE Traits SET GoldenAgeGreatArtistRateModifier = '0' WHERE Type = 'TRAIT_SCHOLARS_JADE_HALL';
UPDATE Traits SET GoldenAgeGreatMusicianRateModifier = '0' WHERE Type = 'TRAIT_SCHOLARS_JADE_HALL';
UPDATE Traits SET GoldenAgeGreatWriterRateModifier = '0' WHERE Type = 'TRAIT_SCHOLARS_JADE_HALL';

DELETE FROM Trait_GoldenAgeGreatPersonRateModifier WHERE TraitType = 'TRAIT_SCHOLARS_JADE_HALL';

INSERT INTO Trait_GoldenAgeYieldModifiers
		(TraitType, 					YieldType, 			Yield)
VALUES	('TRAIT_SCHOLARS_JADE_HALL', 	'YIELD_SCIENCE', 	20);

DELETE FROM Building_YieldChanges WHERE BuildingType = 'BUILDING_SEOWON';
DELETE FROM Building_GoldenAgeYieldMod WHERE BuildingType = 'BUILDING_SEOWON';
UPDATE Buildings SET PrereqTech = 'TECH_EDUCATION' WHERE Type = 'BUILDING_SEOWON';

INSERT INTO Building_YieldChanges
		(BuildingType, YieldType, Yield)
VALUES	('BUILDING_SEOWON', 'YIELD_SCIENCE', 3),
		('BUILDING_SEOWON', 'YIELD_CULTURE', 2);

INSERT INTO Building_ImprovementYieldChanges
		(BuildingType, 		ImprovementType,	YieldType,			Yield)
SELECT	'BUILDING_SEOWON', 	Type, 				'YIELD_SCIENCE', 	1
FROM Improvements WHERE CreatedByGreatPerson = 1;

INSERT INTO Building_ImprovementYieldChanges
		(BuildingType, 		ImprovementType,	YieldType,			Yield)
SELECT	'BUILDING_SEOWON', 	Type, 				'YIELD_PRODUCTION', 1
FROM Improvements WHERE CreatedByGreatPerson = 1;

CREATE TRIGGER VP_SeowonCompatibility_GPTIs
AFTER INSERT ON Improvements 
WHEN NEW.CreatedByGreatPerson = 1
BEGIN
	INSERT INTO Building_ImprovementYieldChanges
				(BuildingType, 		ImprovementType,	YieldType,			Yield)
	SELECT		'BUILDING_SEOWON', 	NEW.Type, 			'YIELD_SCIENCE', 	1;
	INSERT INTO Building_ImprovementYieldChanges
				(BuildingType, 		ImprovementType,	YieldType,			Yield)
	SELECT		'BUILDING_SEOWON', 	NEW.Type, 			'YIELD_PRODUCTION', 1;
END;
--==========================================================
--TEXT
--==========================================================
UPDATE Language_en_US
SET Text = '+1 [ICON_RESEARCH] Science from Specialists, increasing by +1 in Medieval, Industrial, and Atomic Eras. +20% [ICON_RESEARCH] Science during [ICON_GOLDEN_AGE] Golden Ages, and +50 [ICON_GOLDEN_AGE] Golden Age Points when a [ICON_GREAT_PEOPLE] Great Person is born, scaling with Era.'
WHERE Tag = 'TXT_KEY_TRAIT_SCHOLARS_JADE_HALL';		

UPDATE Language_en_US
SET Text = '+1 [ICON_RESEARCH] Science from Jungle and Snow tiles worked by the City. +1 [ICON_RESEARCH] Science and [ICON_PRODUCTION] Production from [ICON_GREAT_WORK] Great Works in the City and all nearby Great Person Tile Improvements. Gain 50% of the [ICON_RESEARCH] Science output of the City as an instant boost to your current Research when a [ICON_CITIZEN] Citizen is born in this City.[NEWLINE][NEWLINE]-1 [ICON_HAPPINESS_3] Unhappiness from [ICON_RESEARCH] Illiteracy.'
WHERE Tag = 'TXT_KEY_BUILDING_SEOWON_HELP';

UPDATE Language_en_US
SET Text = 'Unique Korean replacement for the University. Generates more Science and Culture than the University. The increased yields on Great Person Tiles reward you for producing Great People from the specialists boosted by Korea''s Unique Ability.'
WHERE Tag = 'TXT_KEY_BUILDING_SEOWON_HELP';