-- OPTIONAL: Delete Zeppelin unit from game if you don't want to play with Zeppelin line
--DELETE FROM Units WHERE Type = 'UNIT_ZEPPELIN';

--==========================================================================
-- NEW COMMANDO UNIT REPLACES ZEPPELIN IN SCOUT LINE
--==========================================================================
INSERT INTO UnitClasses
		(Type, 					Description, 				DefaultUnit)
VALUES	('UNITCLASS_COMMANDO', 	'TXT_KEY_UNIT_COMMANDO', 	'UNIT_COMMANDO');

INSERT INTO Units
		(Class, 				Type, 				Combat, Cost, 	FaithCost, 	RequiresFaithPurchaseEnabled, 	Moves, 	BaseSightRange, 	PrereqTech, 		ObsoleteTech, 		CombatClass, 		Domain, 		NoBadGoodies, 	DefaultUnitAI, 		Description, 				Civilopedia, 					Strategy, 								Help, 								Pillage, 	MilitarySupport, 	GoodyHutUpgradeUnitClass, 	BaseLandAirDefense, 	MilitaryProduction, AdvancedStartCost, 	XPValueAttack, 	XPValueDefense, UnitArtInfo, 				UnitFlagAtlas, 				UnitFlagIconOffset, PortraitIndex, 	IconAtlas, 				MoveRate)
VALUES	('UNITCLASS_COMMANDO', 	'UNIT_COMMANDO', 	32, 	600, 	600, 		1, 								3, 		3, 					'TECH_RAILROAD', 	'TECH_ROCKETRY', 	'UNITCOMBAT_RECON', 'DOMAIN_LAND', 	1, 				'UNITAI_EXPLORE', 	'TXT_KEY_UNIT_COMMANDO', 	'TXT_KEY_CIV5_COMMANDO_TEXT', 	'TXT_KEY_UNIT_COMMANDO_STRATEGY_CBP', 	'TXT_KEY_UNIT_HELP_COMMANDO_CBP', 	1, 			1, 					'UNITCLASS_PARATROOPER', 	2, 						1, 					30, 				3, 				3, 				'ART_DEF_UNIT_COMMANDO', 	'UNIT_COMMANDO_FLAG_ATLAS', 0, 					0, 				'UNIT_TWEAKS_ATLAS', 	'BIPED');

UPDATE Units SET ObsoleteTech = 'TECH_RAILROAD' WHERE Type = 'UNIT_EXPLORER';
UPDATE Units SET ObsoleteTech = 'TECH_RAILROAD', GoodyHutUpgradeUnitClass = 'UNITCLASS_COMMANDO' WHERE Class = 'UNITCLASS_EXPLORER';

CREATE TRIGGER VP_ExplorerCommandoGoodyHut_Replace
AFTER INSERT ON Units 
WHEN NEW.Class = 'UNITCLASS_EXPLORER'
BEGIN
	UPDATE Units SET GoodyHutUpgradeUnitClass = 'UNITCLASS_COMMANDO' WHERE Type = NEW.Type;
END;
--------------------------------	
-- UnitGameplay2DScripts
--------------------------------		
INSERT INTO UnitGameplay2DScripts 	
			(UnitType, 			SelectionSound, FirstSelectionSound)
SELECT		'UNIT_COMMANDO',	SelectionSound, FirstSelectionSound
FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_EXPLORER';	
--------------------------------	
-- Unit_AITypes
--------------------------------		
INSERT INTO Unit_AITypes 	
			(UnitType, 			UnitAIType)
SELECT		'UNIT_COMMANDO', 	UnitAIType
FROM Unit_AITypes WHERE UnitType = 'UNIT_EXPLORER';
--------------------------------	
-- Unit_BuildingClassPurchaseRequireds
--------------------------------		
INSERT INTO Unit_BuildingClassPurchaseRequireds 	
			(UnitType, 			BuildingClassType)
VALUES		('UNIT_COMMANDO', 	'BUILDINGCLASS_ARMORY');
--------------------------------	
-- Unit_ClassUpgrades
--------------------------------		
INSERT INTO Unit_ClassUpgrades 	
			(UnitType, 			UnitClassType)
VALUES		('UNIT_COMMANDO', 	'UNITCLASS_PARATROOPER');

UPDATE Unit_ClassUpgrades SET UnitClassType = 'UNITCLASS_COMMANDO' WHERE UnitType IN (SELECT Type FROM Units WHERE Class = 'UNITCLASS_EXPLORER');

CREATE TRIGGER VP_ExplorerCommandoClassUpgrade_Replace
AFTER INSERT ON Unit_ClassUpgrades 
WHEN NEW.UnitClassType = 'UNITCLASS_ZEPPELIN'
BEGIN
	UPDATE Unit_ClassUpgrades SET UnitClassType = 'UNITCLASS_COMMANDO' WHERE UnitClassType = NEW.UnitClassType;
END;
--------------------------------	
-- Unit_Flavors
--------------------------------	
INSERT INTO		Unit_Flavors
				(UnitType, 			FlavorType,			Flavor)
VALUES			('UNIT_COMMANDO',	'FLAVOR_OFFENSE',	10),
				('UNIT_COMMANDO',	'FLAVOR_DEFENSE',	4),
				('UNIT_COMMANDO',	'FLAVOR_MOBILE',	8);
--------------------------------	
-- Unit_FreePromotions
--------------------------------	
INSERT INTO		Unit_FreePromotions
				(UnitType,			PromotionType)
VALUES			
				('UNIT_COMMANDO',	'PROMOTION_IGNORE_TERRAIN_COST'),
				('UNIT_COMMANDO',	'PROMOTION_BARBARIAN_BONUS'),
				('UNIT_COMMANDO',	'PROMOTION_SCOUT_GOODY_BONUS'),
				('UNIT_COMMANDO',	'PROMOTION_RECON_EXPERIENCE'),
				('UNIT_COMMANDO',	'PROMOTION_SCOUT_XP_PILLAGE'),
				('UNIT_COMMANDO',	'PROMOTION_COMMANDO_BONUS');
--==========================================================================================================================	
-- PROMOTIONS
--==========================================================================================================================	
--------------------------------	
-- UnitPromotions
--------------------------------	
INSERT INTO UnitPromotions
			(Type,							Description,						Help,										LostWithUpgrade,	CannotBeChosen,		CanMoveAfterAttacking, 	AttackMod, 	ExtraWithdrawal, 	Sound,				PortraitIndex,	IconAtlas,			PediaType,			PediaEntry)
VALUES		('PROMOTION_COMMANDO_BONUS',	'TXT_KEY_PROMOTION_COMMANDO_BONUS',	'TXT_KEY_PROMOTION_COMMANDO_BONUS_HELP',	0,					1,					0, 						25, 		60, 				'AS2D_IF_LEVELUP',	16,				'extraPromo_Atlas',	'PEDIA_SCOUTING',	'TXT_KEY_PROMOTION_COMMANDO_BONUS');

INSERT INTO Language_en_US (Tag, Text)
VALUES
	('TXT_KEY_UNIT_COMMANDO',						'Commando'),
	('TXT_KEY_CIV5_COMMANDO_TEXT',					'A Commando is an elite light infantry specialized in attacking high-value targets and front-line reconnaissance. The term entered common usage after the Boer Wars and the Great Trek, where Boer Kommando militia employed guerilla and asymmetric tactics to great success against the Xhosa, Zulu, and British armies.'),
	('TXT_KEY_UNIT_COMMANDO_STRATEGY_CBP',			'Commandos are scouts and attack units, specializing in striking vulnerable targets through difficult terrain and quickly withdrawing. Use these units to outflank and disrupt enemies on their back lines.'),
	('TXT_KEY_UNIT_HELP_COMMANDO_CBP',				'Mid-game exploration Unit. Has additional strength when Attacking, and a 60% chance to withdraw from Melee Combat.'),
	('TXT_KEY_PROMOTION_COMMANDO_BONUS',			'Commando'),
	('TXT_KEY_PROMOTION_COMMANDO_BONUS_HELP',		'+25% [ICON_STRENGTH] Strength when attacking.[NEWLINE]60% chance to withdraw from Melee combat.');

-- Moved withdraw chance onto Commando
UPDATE CustomModOptions SET Value = 1 WHERE Name = 'PROMOTIONS_CROSS_MOUNTAINS';
UPDATE UnitPromotions SET ExtraWithdrawal = 0 	WHERE Type = 'PROMOTION_WOODLAND_TRAILBLAZER_III';
UPDATE UnitPromotions SET CanCrossMountains = 1 WHERE Type = 'PROMOTION_WOODLAND_TRAILBLAZER_III';
UPDATE UnitPromotions SET AllowsEmbarkation = 1 WHERE Type = 'PROMOTION_WOODLAND_TRAILBLAZER_III';
UPDATE UnitPromotions SET EnemyRoute = 1 		WHERE Type = 'PROMOTION_WOODLAND_TRAILBLAZER_III';
UPDATE UnitPromotions SET EnemyRoute = 0 		WHERE Type = 'PROMOTION_SURVIVALISM_3';
UPDATE UnitPromotions SET FreePillageMoves = 1 	WHERE Type = 'PROMOTION_SURVIVALISM_3';

UPDATE Language_en_US
SET Text = '+10% [ICON_STRENGTH] Combat Strength [COLOR_POSITIVE_TEXT]Outside of Friendly Territory[ENDCOLOR].[NEWLINE]Unit can Embark, cross Mountains, and use Enemy Roads/Railroads.'
WHERE Tag = 'TXT_KEY_PROMOTION_WOODLAND_TRAILBLAZER_III_HELP';

UPDATE Language_en_US
SET Text = 'Unit will [COLOR_POSITIVE_TEXT]Heal Every Turn[ENDCOLOR], even if it performs an action.[NEWLINE]Can pillage without expending movement.'
WHERE Tag = 'TXT_KEY_PROMOTION_SURVIVALISM_3';

-- Rearrange and alter free promotions on Late Scout line units
UPDATE UnitPromotions SET LostWithUpgrade = 1 	WHERE Type = 'PROMOTION_DEFENSIVE_EMBARKATION';

DELETE FROM Unit_FreePromotions WHERE PromotionType = 'PROMOTION_FREE_PILLAGE_MOVES' 	AND UnitType = 'UNIT_XCOM_SQUAD';

DELETE FROM Unit_FreePromotions WHERE PromotionType = 'PROMOTION_FREE_PILLAGE_MOVES' 	AND UnitType = 'UNIT_PARATROOPER';

DELETE FROM Unit_FreePromotions WHERE PromotionType = 'PROMOTION_FREE_PILLAGE_MOVES' 	AND UnitType = 'UNIT_MARINE';
DELETE FROM Unit_FreePromotions WHERE PromotionType = 'PROMOTION_KNOCKOUT_I' 			AND UnitType = 'UNIT_MARINE';
DELETE FROM Unit_FreePromotions WHERE PromotionType = 'PROMOTION_EMBARKED_SIGHT' 		AND UnitType = 'UNIT_MARINE';
DELETE FROM Unit_FreePromotions WHERE PromotionType = 'PROMOTION_DEFENSIVE_EMBARKATION' AND UnitType = 'UNIT_MARINE';

INSERT INTO		Unit_FreePromotions
				(UnitType,				PromotionType)
VALUES			('UNIT_MARINE',			'PROMOTION_KNOCKOUT_II'),
				('UNIT_XCOM_SQUAD',		'PROMOTION_KNOCKOUT_II'),
				('UNIT_PARATROOPER',	'PROMOTION_IGNORE_TERRAIN_COST'),
				('UNIT_MARINE',			'PROMOTION_IGNORE_TERRAIN_COST'),
				('UNIT_XCOM_SQUAD',		'PROMOTION_IGNORE_TERRAIN_COST'),
				('UNIT_MARINE',			'PROMOTION_SCOUT_XP_PILLAGE'),
				('UNIT_XCOM_SQUAD',		'PROMOTION_SCOUT_XP_PILLAGE');
------------------------------
-- IconTextureAtlases
------------------------------
INSERT INTO IconTextureAtlases 
			(Atlas, 							IconSize, 	Filename, 							IconsPerRow, 	IconsPerColumn)
VALUES		('UNIT_TWEAKS_ATLAS', 				256, 		'PDanUnitTweaksAtlas_256.dds',		3,				1),
			('UNIT_TWEAKS_ATLAS', 				128, 		'PDanUnitTweaksAtlas_128.dds',		3, 				1),
			('UNIT_TWEAKS_ATLAS', 				80, 		'PDanUnitTweaksAtlas_080.dds',		3, 				1),
			('UNIT_TWEAKS_ATLAS', 				64, 		'PDanUnitTweaksAtlas_064.dds',		3, 				1),
			('UNIT_TWEAKS_ATLAS', 				45, 		'PDanUnitTweaksAtlas_045.dds',		3, 				1),
			('UNIT_ZEPPELIN_FLAG_ATLAS', 		32, 		'WWI_Zeppelin_Flag.dds', 			1, 				1),
			('UNIT_UAV_FLAG_ATLAS', 			32, 		'UAV_UnitFlag32.dds', 				1, 				1),
			('UNIT_COMMANDO_FLAG_ATLAS',		32, 		'kommandoflag.dds',					1, 				1);